tablesorter has trouble exploding rowspans with row header cells
Closed, ResolvedPublic

Description

Example https://en.wikipedia.org/w/index.php?title=2012_in_film&oldid=521959220

this probably goes wrong because the cell that needs exploding is a TH instead of a TD.


Version: 1.21.x
Severity: major
URL: https://en.wikipedia.org/w/index.php?title=2012_in_film&oldid=521959220

bzimport added a project: MediaWiki-JavaScript.Via ConduitNov 22 2014, 12:49 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz41889.
TheDJ created this task.Via LegacyNov 8 2012, 1:38 PM
matmarex added a comment.Via ConduitNov 16 2012, 10:00 PM

Fixed by Ibe4cc7e9.

Anomie added a comment.Via ConduitNov 19 2012, 5:54 PM

(In reply to comment #2)

Fixed by Ibe4cc7e9.

No, it wasn't. That fixes a different bug.

A minimal test case for this bug seems to be the following table

{| class="wikitable sortable"

-

! foo !! bar !! baz !! n

-

!rowspan=2| foo

rowspan=2bar
baz1
-
baz2
}

When the rowspans are exploded, both rows should have "foo" in the first cell, "bar" in the second, and "baz" in the third. But currently the second row will get "baz" in the second cell and "bar" in the third.

Gerrit change 34104 should fix it, plus a number of similar problems when row or colspans are used in creative ways.

Aklapper added a comment.Via ConduitNov 30 2012, 12:14 PM

Brad: Could you add some potential reviewers in https://gerrit.wikimedia.org/r/#/c/34104/ ?

Anomie added a comment.Via ConduitNov 30 2012, 1:43 PM

Done. I seldom know who exactly to add, so I usually forget.

gerritbot added a comment.Via ConduitMar 7 2013, 10:31 PM

https://gerrit.wikimedia.org/r/34104 (Gerrit Change Icb674f7eece053435ca9525d45709579df14cc74) | Code-Review: Reviewed:+2 Patch Set 8: Code-Review+2

OK, it can be merged, then. I would do it myself, except that the unit test file has a fairly large merge conflict. [by com.google.gerrit.server.events.AccountAttribute@54cf85f]

gerritbot added a comment.Via ConduitMar 7 2013, 10:34 PM

https://gerrit.wikimedia.org/r/34104 (Gerrit Change Icb674f7eece053435ca9525d45709579df14cc74) | Patch Set 8: -Verified

Starting gate-and-submit jobs.
http://integration.mediawiki.org/zuul/status [by com.google.gerrit.server.events.AccountAttribute@ac7e4af]

gerritbot added a comment.Via ConduitMar 7 2013, 10:34 PM

https://gerrit.wikimedia.org/r/34104 (Gerrit Change Icb674f7eece053435ca9525d45709579df14cc74) | Code-Review: Verified:-1 Patch Set 8: Verified-1

Build failed

This change was unable to be automatically merged with the current state of the repository. Please rebase your change and upload a new patchset. [by com.google.gerrit.server.events.AccountAttribute@f5c901c]

greg added a comment.Via ConduitMar 19 2013, 9:34 PM

This is merged in -wmf12 and -wmf12 is in the process of being deployed across all WMF sites (should be done by end of next week). Closing.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.